# Release v2.1.0

**Release Date:** 2025-04-11

## Improvements

* Add logger warning if relative_minimum is used without on_off_parameters in Flow, as this prevents the flow_rate from switching "OFF"
* Python 3.13 support added
* Greatly improved internal testing infrastructure by leveraging linopy's testing framework

## Bug Fixes

* Bugfixing the lower bound of `flow_rate` when using optional investments without OnOffParameters.
* Fixes a Bug that prevented divest effects from working.
* added lower bounds of 0 to two unbounded vars (only numerical better)

## Breaking Changes

* We restructured the modeling of the On/Off state of FLows or Components. This leads to slightly renaming of variables and constraints.

### Variable renaming
* "...|consecutive_on_hours" is now "...|ConsecutiveOn|hours"
* "...|consecutive_off_hours" is now "...|ConsecutiveOff|hours"

### Constraint renaming
* "...|consecutive_on_hours_con1" is now "...|ConsecutiveOn|con1"
* "...|consecutive_on_hours_con2a" is now "...|ConsecutiveOn|con2a"
* "...|consecutive_on_hours_con2b" is now "...|ConsecutiveOn|con2b"
* "...|consecutive_on_hours_initial" is now "...|ConsecutiveOn|initial"
* "...|consecutive_on_hours_minimum_duration" is now "...|ConsecutiveOn|minimum"
The same goes for "...|consecutive_off..." --> "...|ConsecutiveOff|..."